*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
body{
  font-family: "Coiny", system-ui;
    }
main{
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 100%;
    min-height: 105vh;
    padding: 0px 100px;
    text-align: center;
    background: url("babyfoot.jpg");
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
}
.container{
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    width: 850px;
    height: 500px;
    box-shadow: 20px 20px 50px rgba(0, 0, 0, 0.5);
    background: rgba(255, 255, 255, 0.1);
    border-top: 1px solid rgba(255, 255, 255, 0.1);
    border-left: 1px solid rgba(255, 255, 255, 0.1);
    backdrop-filter: blur(5px);
    border-radius: 15px;
}
.container h1{
font-size: 2rem;
margin: 30px 0px;
text-transform: uppercase;
width: 700px;
text-align: center;
color: #fff;
}
main button{
    cursor: pointer;
}
.line{
    position: relative;
    width: 500px;
    height: 100px;
    display: flex;
    justify-content: center;
    align-items: center;
    box-shadow: 20px 20px 50px rgba(0, 0, 0, 0.5);
    background: rgba(255, 255, 255, 0.1);
    border-top: 1px solid rgba(255, 255, 255, 0.1);
    border-left: 1px solid rgba(255, 255, 255, 0.1);
    backdrop-filter: blur(5px);
    padding: 30px 50px;
    border-radius: 50px;
}
.line input{
    outline: none;
    text-transform: uppercase;
    font-size: 20px;
  font-family: "Coiny", system-ui;
    border: none;
    background: transparent;
    color: #fff;
    letter-spacing: 3px;
}
/*.line input::-webkit-calendar-picker-indicator{
    opacity: 0;
    display: block;
 position: absolute;
    width: 100%;
}*/
.calicon{
    position: relative;
    width: 30px;
    height: 30px;
}
main #btn{
 padding: 18px;
 width: 200px;
 margin: 50px 0px;
 font-family: "Montserrat Alternates", sans-serif;
 font-weight: 700;
 letter-spacing: 2px;
 transition: 0.5s;
 background: #777;
 color: #fff;
 border: none;
 border-radius: 50px;
 text-transform: uppercase;
}
main #btn:hover{
 letter-spacing: 4px;
 transform: scale(1.1);
}
main p{
    margin: 10px;
}
#secondbtn{
    position: relative;
    text-decoration: none;
    border-bottom: 2px solid #777;
    margin: 15px 0px;
    padding: 2px 12px;
    color: #fff;
    letter-spacing: 2px;
    transition: 0.5s;
}
#secondbtn:hover{
    transform: scale(1.05);
}
.imgbx{
    position: absolute;
  top: 0;
  right: 0;
    transition: 0.5s;
}	
.imgbx:hover{
transform: scale(1.05);
}
 .imgbx img{
      position: absolute;
      top: 30px;
      right: 30px;
      cursor: pointer;
      max-width: 40px;
}
.overlay{
 position: absolute;
 top: 0;
 left: 0;
 width: 100%;
 height: 100%;
 background: #777;
 color: #fff;
 z-index: 100;
 display: none;
}
.overlay.active{
       display: flex;
 justify-content: space-evenly;
 align-items: center;
 flex-direction: column;
 flex-wrap: wrap;
}
.overlay h1{
    text-transform: uppercase;
    letter-spacing: 2px;
}
.overlay h3{
      letter-spacing: 2px;
  }
.overlay p{
 max-width: 700px;
 font-family: "Montserrat", sans-serif;
 line-height: 30px;
}
#result{
    color: #fff;
}
.attribution{
  position: absolute;
  width: 100%;
   height: 30px;
  bottom: 0px;
  display: flex;
  justify-content: center;
  align-items: center;
  background: #777; 
    font-size: 11px;
    color: #fff;
  text-align: center;
  font-family: "Montserrat", sans-serif;
    }
 .attribution a{
     color: #777;
     letter-spacing: 2px;
     text-decoration: none;
     margin: 0px 15px;
      }
      .attribution a img{
      	position: absolute;
      	max-width: 20px;
      }
@media only screen and (max-width:500px){
main{
    padding: 0px 30px;
    min-height:100vh;
}
.container{
    width: 320px;
    height: 400px;
    margin: 50px 0px;
  }
  .container h1{
font-size: 1rem;
margin: 30px 0px;
text-transform: uppercase;
width: 300px;
text-align: center;
  }
  #secondbtn{
      position: relative;
      margin: 5px 0px;
      padding: 10px 12px;
  }
  .overlay{
      padding: 0px 10px;
  }
  .overlay h1{
      text-align: center;
      font-size: 1rem;
  }
  .overlay p{
      width: 300px;
      font-size: 1rem;
      line-height: 25px;
  }
  .line{
    position: relative;
    width: 250px;
    height: 50px;
  }
  .line input{
      font-size: 1rem;
  }
  main #btn{
 padding: 18px;
 width: 150px;
}
.imgbx img{
      max-width: 20px;
   }
}
